Lompat ke konten

Seedream 5.0 Pro Edit

Integrasikan

ID model bytedance/seedream/v5/pro/edit
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/bytedance/seedream/v5/pro/edit?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "Place the sneaker from image 1 on the desk of the office from image 2, natural lighting",
    "images": [
      "https://content.doitong.com/images/showcase/v3/gen_sneaker_ad.jpg",
      "https://content.doitong.com/images/gp/image_20260610003801_541d9719_316882.png"
    ]
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

File seperti contoh: $0,14 140 kredit API file Anda diukur sebelum dijalankan Jalankan di halaman ini

Dapatkan kunci API
ByteDance Pengeditan Gambar #editing#multi-reference#2k

Pengeditan multi-gambar dengan Seedream 5.0 Pro, menggabungkan hingga sepuluh referensi menjadi satu gambar 2K.

Dibuat di Doitong

Karya publik yang dibuat dengan Seedream 5.0 Pro oleh komunitas Doitong. Gunakan kembali prompt dengan satu klik.

Karya publik yang ditampilkan: 16
Создайте 20-секундный анимационный ролик в ярком, мультяшном стиле для Instagram. Сюжет: человек ...

Создайте 20-секундный анимационный ролик в ярком, мультяшном стиле для Instagram. Сюжет: человек с вдохновением собирается начать что-то новое (например, рисовать на холсте). Внезапно появляется его Мозг в виде забавного персонажа, который начинает активно мешать: показывает смешные картинки...

Art style: Cinematic Realistic. A hand gently reaching out to a wooden bookshelf filled with beau...

Art style: Cinematic Realistic. A hand gently reaching out to a wooden bookshelf filled with beautifully bound books. The fingers softly touch the spines. Warm, golden hour lighting. No faces. ━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━ FINAL STYLE ENFORCEMENT (this is the authoritative rendering...

Art style: Studio Ghibli animation style, lush forest and waterfall setting, warm sunlight filter...

Art style: Studio Ghibli animation style, lush forest and waterfall setting, warm sunlight filtering through trees, cozy wooden treehouse, high detail, 4K.. Studio Ghibli animation style. Close-up of Elara's hands carefully picking one of the glowing mushrooms and placing it into a small woven...

Art style: Cinematic Realistic. Maya standing in the near foreground; Eleanora standing further b...

Art style: Cinematic Realistic. Maya standing in the near foreground; Eleanora standing further back in the frame. Three feet of terracotta floor between them. Maya is standing on terracotta floor in the near foreground in the midground. Torso in three-quarter turn to screen-right. Head in...

Create a head-and-shoulders Pixar-style 3D avatar of an edgy person based on the reference image ...

Create a head-and-shoulders Pixar-style 3D avatar of an edgy person based on the reference image with a black bob, purple hair streak, and a small nose ring. She has a defiant, playful expression, sticking her tongue out with wide, confident eyes while wearing a classic denim jacket. Isolated on...

Art style: 3D Anthro. Grand wedding hall with chandeliers, red curtains and fruit guests. Mia in ...

Art style: 3D Anthro. Grand wedding hall with chandeliers, red curtains and fruit guests. Mia in an emerald gown stands beside Leo Lime ("90/100"). Nico Peach ("100/100") in a black tuxedo with gold embroidery kneels before veiled Grana, holding her red-gloved hand. Pixar-style 3D CGI, soft...

Art style: 3D Anthro. Golden dressing room with mirrors and a tiara on the vanity. Mia sits at th...

Art style: 3D Anthro. Golden dressing room with mirrors and a tiara on the vanity. Mia sits at the vanity while the maid Aunt Banana does her hair. Mrs. Lime holds out an old, torn, yellowed wedding dress to veiled Grana. Pixar-style 3D CGI, soft cinematic lighting, vertical 9:16....

Art style: 3D Anthro. Luxurious living room with candles. Mr. Pomegranate stands holding two fram...

Art style: 3D Anthro. Luxurious living room with candles. Mr. Pomegranate stands holding two framed portraits: a handsome lime-green man labeled "90/100" and a black silhouette with a question mark. Mrs. Lime beside him. Mia Orange and veiled Grana sit on a beige velvet sofa. Pixar-style 3D CGI,...

Buat permintaan

Kontrol dibuat dari skema model. Kode dan harga diperbarui saat Anda mengubahnya.

•wajib

Instruksi teks untuk mengedit gambar.

•wajib image_urls
Jatuhkan file, atau

URL gambar referensi; jika daftar melebihi maksimum 10 gambar yang didukung, hanya 10 entri terakhir yang diproses.

image_size bawaan auto_2K

Dimensi gambar output, dengan jumlah piksel total 1024x1024–2048x2048 dan rasio aspek 1/16–16.

num_images bawaan 1

Jumlah proses pembuatan model independen menggunakan prompt.

Lanjutan output_format · enhance_prompt_mode
output_format bawaan jpeg

Format file untuk gambar output.

enhance_prompt_mode bawaan standard

Pengaturan optimasi prompt: pilih `standard` untuk mengutamakan kualitas gambar atau `fast` untuk waktu pembuatan yang lebih singkat.

POST /run/bytedance/seedream/v5/pro/edit?wait=20 estimasi harga → $0,14
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/bytedance/seedream/v5/pro/edit?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "Place the sneaker from image 1 on the desk of the office from image 2, natural lighting",
    "images": [
      "https://content.doitong.com/images/showcase/v3/gen_sneaker_ad.jpg",
      "https://content.doitong.com/images/gp/image_20260610003801_541d9719_316882.png"
    ]
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Jalankan permintaan ini

Key Anda tetap berada di browser ini: key hanya dikirim ke Doitong API dan disimpan (localStorage) hanya jika Anda mencentang Ingat. Dapatkan kunci API

Tentang Seedream 5.0 Pro Edit

Berikan hingga sepuluh gambar referensi kepada Seedream 5.0 Pro (produk, logo, orang, tempat) dan jelaskan cara menggabungkan atau mengubahnya; model ini mempertahankan material dan tulisan secara akurat. Output antara 1 dan 4 megapiksel, hingga enam gambar per permintaan.

Parameter

Kirim nama kanonis atau nama asli, bukan keduanya. Nama kanonis

NamaTipe BawaanDiizinkan Deskripsi
promptwajib
Tipestring
Instruksi teks untuk mengedit gambar.
image_sizeopsional
Tipeobject
Bawaanauto_2K
square_hdsquareportrait_4_3portrait_16_9landscape_4_3landscape_16_9auto_1Kauto_2K
Dimensi gambar output, dengan jumlah piksel total 1024x1024–2048x2048 dan rasio aspek 1/16–16.
num_imagesopsional num_outputs
Tipeinteger
Bawaan1
1 – 6
Jumlah proses pembuatan model independen menggunakan prompt.
output_formatopsional
Tipeenum
Bawaanjpeg
jpegpng
Format file untuk gambar output.
enhance_prompt_modeopsional
Tipeenum
Bawaanstandard
standardfast
Pengaturan optimasi prompt: pilih `standard` untuk mengutamakan kualitas gambar atau `fast` untuk waktu pembuatan yang lebih singkat.
image_urlswajib images
Tipeurl[] · image
URL gambar referensi; jika daftar melebihi maksimum 10 gambar yang didukung, hanya 10 entri terakhir yang diproses.
wajib Nama kanonis, juga diterima

Parameter file menerima URL publik https://, URI data: hingga 10 MB, atau file_url dari unggahan. File

Output

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "bytedance/seedream/v5/pro/edit",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 140,
    "usd": "0.14",
    "charged": 140,
    "refunded": 0
  },
  "input": {
    "prompt": "Place the sneaker from image 1 on the desk of the office from image 2, natural lighting",
    "images": [
      "https://content.doitong.com/images/showcase/v3/gen_sneaker_ad.jpg",
      "https://content.doitong.com/images/gp/image_20260610003801_541d9719_316882.png"
    ]
  },
  "output": {
    "images": [
      {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200,
        "width": 1024,
        "height": 768
      }
    ]
  },
  "outputs": [
    {
      "type": "image",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
File Anda, pilihan AndaSetiap outputs[].url adalah salinan di penyimpanan kami: disimpan selamanya (dikenai biaya per GB-bulan) atau 7 hari gratis, sesuai setelan akun atau ?storage=.
Struktur sama di setiap modeltype, url, content_type, width, height, dan duration, untuk gambar, video, dan audio. output adalah objek hasil milik model.
Field output
images
array of object {url, content_type, file_name, file_size, width, height}Gambar yang dihasilkan oleh pembuatan.

Model lainnya: Pengeditan Gambar

Untuk agen AI: halaman ini dalam Markdown tersedia di https://doitong.com/id/developers/models/bytedance/seedream/v5/pro/edit.md. Semua model dan panduan: https://doitong.com/developers/llms.txt